Packages - Freedom Issue #2671

[libosinfo] Probably needs to be removed from blacklist
2020-04-05 09:10 PM - grizzlyuser

Status: unconfirmed % Done: 0%
Priority: discussion

Assignee:

Category:

Description

Related to [1].

As | understood, libosinfo project introduced osinfo-db as a new dependency some time ago, and then moved some files to it, see [2]
for example.

When | tried to update PKGBUILD to the latest version (1.7.1) | noticed most of the files it removed in mksource() from the 1.4.0
sources are not available anymore.

| guess remaining files need to be reviewed to find any conflicts with Parabola standards, to determine if the package still needs to
remain in the blacklist or can be removed from it.

[1] https://labs.parabola.nu/issues/2670
[2] https://www.redhat.com/archives/libosinfo/2019-May/msg00094.html

Related issues:
Related to Packages - Freedom Issue #2670: [osinfo-db] Contains metadata for ... confirmed

History

#1 - 2020-04-06 02:24 AM - bill-auger

- Priority changed from bug to discussion

the first question that comes to mind, as with #2670, is what is the actual value of this library to parabola users? - is it even worth carrying ?

#2 - 2020-04-06 02:24 AM - bill-auger
- Related to Freedom Issue #2670: [osinfo-db] Contains metadata for nonfree OSs, including download URLs added

#3 - 2020-04-06 06:33 AM - theova

In Parabola, the package was also built without the documentation. | guess this is done to not recommend non-FSDG distros.
As libosinfo changed to the meson build, this can easily be done with

arch-meson $pkgname-$pkgver build \
-D with-usb-ids-path=/usr/share/hwdata/usb.ids \
-D with-pci-ids-path=/usr/share/hwdata/pci.ids \
-D enable-gtk-doc=false

ninja -C build

The other problematic file (the dummy example "libosinfo-dummy-data.xml") was removed (cf. commit
002362 4 2b20d2f 12d47 in libosinfo).

libosinfo is needed as a dependency for gnome-boxes, virt-manager, and virt-install. All three are programs to run virtual machines. If libosinfo would
not be packaged anymore, what alternatives to those exist?

#4 - 2020-04-06 07:13 AM - grizzlyuser

Since gnome-boxes and virt-install (base package for it is virt-manager) are already in libre, it would probably make sense to patch them to not
depend on libosinfo. The question is what is harder to do: patch libosinfo and libosinfo-db, or gnome-boxes, virt-manager, and virt-install?
